## ros-dashing-launch-testing 0.8.7

=== debian/changelog ===
ros-dashing-launch-testing (0.8.7-1bionic) bionic; urgency=high

  * install package manifest (#330 <https://github.com/ros2/launch/issues/330>) (#344 <https://github.com/ros2/launch/issues/344>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
    (cherry picked from commit 81edb5f43a81ade32e5271caa19c38756f52dac2)
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 11 Oct 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.6-1bionic) bionic; urgency=high

  * Address additional syntax issues with Python 3.5. (#328 <https://github.com/ros2/launch/issues/328>)
  * Restore support for Python 3.5 (#324 <https://github.com/ros2/launch/issues/324>)
  * Contributors: Steven! Ragnarök

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.5-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 22 Aug 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.4-1bionic) bionic; urgency=high

  * Fix proc lookup for processes with multiple command-line arguments (#229 <https://github.com/ros2/launch/issues/229>)
  * Contributors: Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.3-1bionic) bionic; urgency=high

  * Changed behavior to use ``--isolated`` if no ``ROS_DOMAIN_ID`` is set to help parallel testing. (#251 <https://github.com/ros2/launch/issues/251>)
  * Contributors: Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.2-1bionic) bionic; urgency=high

  * add non-asserting waitFor method (#243 <https://github.com/ros2/launch/issues/243>)
  * Enable reuse of launch testing functionality (#236 <https://github.com/ros2/launch/issues/236>)
  * Stop randomizing ROS_DOMAIN_ID by default in launch tests (#240 <https://github.com/ros2/launch/issues/240>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.1-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-launch-testing (0.8.0-1bionic) bionic; urgency=high

  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed test_env_testing test (#200 <https://github.com/ros2/launch/issues/200>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Contributors: Dirk Thomas, Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-dashing-launch-testing (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-launch-testing (0.7.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-dashing-launch-testing (0.7.1-1bionic) bionic; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-dashing-launch-testing (0.7.0-1bionic) bionic; urgency=high

  * Fixed lint warnings from invalid escape sequences (#151 <https://github.com/ros2/launch/issues/151>)
    Use raw strings for regex patterns to avoid warnings.
  * Fixed linter errors from #131 <https://github.com/ros2/launch/issues/131>. (#132 <https://github.com/ros2/launch/issues/132>)
  * Added class to provide some limitted testing options (#131 <https://github.com/ros2/launch/issues/131>)
  * Moved ``launch_testing`` into ``launch_testing.legacy`` namespace (#130 <https://github.com/ros2/launch/issues/130>)
  * Contributors: Dirk Thomas, Jacob Perron, Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-dashing-launch-testing (0.6.0-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-dashing-launch-testing (0.5.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-dashing-launch-testing (0.5.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-dashing-launch-testing (0.5.0-1bionic) bionic; urgency=high

  * Updated to use new launch.legacy namespace (#73 <https://github.com/ros2/launch/issues/73>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Jun 2018 07:00:00 -0000
