=== debian/control ===
Source: ros-dashing-launch-testing
Section: misc
Priority: extra
Maintainer: Pete Baughman <pete.baughman@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-mock, python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-launch, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-launch-testing
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-ament-index-python, ros-dashing-launch, ros-dashing-ros-workspace
Description: A package to create tests which involve launch files and multiple processes.
